summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Steven Voges <svoges.sbo@gmail.com>2022-09-02 08:32:46 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-09-03 17:58:45 +0700
commit35912dd6458f33186d97331d92c610947d8f1453 (patch)
tree2e75b5357c1db479cf87dcfa3915aadf440c55fb /audio
parent998eb179b04628bff765a713e6b2b944f23a1a04 (diff)
downloadslackbuilds-35912dd6458f33186d97331d92c610947d8f1453.tar.gz
slackbuilds-35912dd6458f33186d97331d92c610947d8f1453.tar.xz
audio/cubeb: Added (Audo Library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/cubeb/README8
-rw-r--r--audio/cubeb/cubeb.SlackBuild115
-rw-r--r--audio/cubeb/cubeb.info12
-rw-r--r--audio/cubeb/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/audio/cubeb/README b/audio/cubeb/README
new file mode 100644
index 0000000000..2d3030a27c
--- /dev/null
+++ b/audio/cubeb/README
@@ -0,0 +1,8 @@
+cubeb is a cross platform audio library
+
+This script defaults to building against alsa and pulse.
+To disable alsa support, pass ALSA=false to the build script.
+To disable pulse support, pass PULSE=false to the build script.
+
+jack is an optional dependency and support can be enabled by passing
+JACK=true to the build script.
diff --git a/audio/cubeb/cubeb.SlackBuild b/audio/cubeb/cubeb.SlackBuild
new file mode 100644
index 0000000000..0a9c78bf54
--- /dev/null
+++ b/audio/cubeb/cubeb.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+# Slackware build script for cubeb
+
+# Copyright 2022 Steven Voges <Oregon, USA>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cubeb
+VERSION=${VERSION:-20220721_dc511c6}
+SRCVER=${SRCVER:-dc511c6b3597b6384d28949285b9289e009830ea}
+SANITIZERSCMAKE=${SANITIZERSCMAKE:-aab6948fa863bc1cbe5d0850bc46b9ef02ed4c1a}
+ALSA=${ALSA:-true}
+JACK=${JACK:-false}
+PULSE=${PULSE:-true}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+tar xvf $CWD/sanitizers-cmake-$SANITIZERSCMAKE.tar.gz -C \
+ $TMP/$PRGNAM-$SRCVER/cmake/sanitizers-cmake --strip-components 1
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_SHARED_LIBS=true \
+ -DBUILD_TESTS=false \
+ -DUSE_ALSA=$ALSA \
+ -DUSE_JACK=$JACK \
+ -DUSE_PULSE=$PULSE \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE README.md docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/cubeb/cubeb.info b/audio/cubeb/cubeb.info
new file mode 100644
index 0000000000..cb76b0147f
--- /dev/null
+++ b/audio/cubeb/cubeb.info
@@ -0,0 +1,12 @@
+PRGNAM="cubeb"
+VERSION="20220721_dc511c6"
+HOMEPAGE="https://github.com/mozilla/cubeb"
+DOWNLOAD="https://github.com/mozilla/cubeb/archive/dc511c6b3597b6384d28949285b9289e009830ea/cubeb-dc511c6b3597b6384d28949285b9289e009830ea.tar.gz \
+ https://github.com/arsenm/sanitizers-cmake/archive/aab6948fa863bc1cbe5d0850bc46b9ef02ed4c1a/sanitizers-cmake-aab6948fa863bc1cbe5d0850bc46b9ef02ed4c1a.tar.gz"
+MD5SUM="5a40e81e1d6b2438c9b618ffcb679430 \
+ 0492fedbd255d1d831db432c2578a0c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Steven Voges"
+EMAIL="svoges.sbo@gmail.com"
diff --git a/audio/cubeb/slack-desc b/audio/cubeb/slack-desc
new file mode 100644
index 0000000000..438c86ffaa
--- /dev/null
+++ b/audio/cubeb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cubeb: cubeb (Audo Library)
+cubeb:
+cubeb: Cross platform audio library
+cubeb:
+cubeb: Homepage: https://github.com/mozilla/cubeb
+cubeb:
+cubeb:
+cubeb:
+cubeb:
+cubeb:
+cubeb: